aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-opengl/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-04-26 14:14:49 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-04-26 14:14:49 +0000
commitbff71894c12db8449dcc42721c60225fe83b9c84 (patch)
tree96d9e8ec0a311e944c9c9d6902753e727beca57f /testing/py-opengl/APKBUILD
parent01723c514b0f7bf4e564b59b57e9f08be6131aa1 (diff)
downloadaports-bff71894c12db8449dcc42721c60225fe83b9c84.tar.gz
aports-bff71894c12db8449dcc42721c60225fe83b9c84.tar.bz2
aports-bff71894c12db8449dcc42721c60225fe83b9c84.tar.xz
testing/py-opengl: new aport. Fixes #5482
Diffstat (limited to 'testing/py-opengl/APKBUILD')
-rw-r--r--testing/py-opengl/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/testing/py-opengl/APKBUILD b/testing/py-opengl/APKBUILD
new file mode 100644
index 0000000000..c1222b591b
--- /dev/null
+++ b/testing/py-opengl/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=py-opengl
+_pkgname=PyOpenGL
+pkgver=3.1.1a1
+pkgrel=0
+pkgdesc="Standard OpenGL bindings for Python"
+url="http://pyopengl.sourceforge.net"
+arch="noarch"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev python-dev py-setuptools"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/df/fe/b9da75e85bcf802ed5ef92a5c5e4022bf06faa1d41b9630b9bb49f827483/$_pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgname-$pkgver
+build() {
+ cd "$builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="77ee6044ceb2cf952aca89a9b2d3d585 PyOpenGL-3.1.1a1.tar.gz"
+sha256sums="c96d909b359abe3271b746bacf7e6ba52935141e2406a8f90231e4e44dfa4075 PyOpenGL-3.1.1a1.tar.gz"
+sha512sums="8f4f57b153ee014dc238fe83180cc92f8e789a274fc6b0cbef6f5dec9dbc44cb1ae1f6b142a6c2b4c8c000709338d64f5968939eeb6a2384f87fb63ae99b40d8 PyOpenGL-3.1.1a1.tar.gz"